MetaGrailsDomainClassProperty (Grails 3.3.8)
Date: 2018-08-10

Package: org.grails.core

## [Groovy] Class MetaGrailsDomainClassProperty

- org.grails.core.MetaGrailsDomainClassProperty

- All Implemented Interfaces and Traits:
    GrailsDomainClassProperty

      @groovy.transform.CompileStatic
      class MetaGrailsDomainClassProperty
      extends java.lang.Object

  Simplified version that encapsulates a meta property

  Authors:
    Graeme Rocher
  Since:
    6.1

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GrailsDomainClass` | `domainClass`
    `groovy.lang.MetaProperty` | `property`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MetaGrailsDomainClassProperty (GrailsDomainClass domainClass, groovy.lang.MetaProperty property)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GrailsDomainClass` | `getComponent()`
    `` | `GrailsDomainClass` | `getDomainClass()`
    `` | `int` | `getFetchMode()`
    `` | `java.lang.String` | `getFieldName()`
    `` | `java.lang.String` | `getName()`
    `` | `java.lang.String` | `getNaturalName()`
    `` | `GrailsDomainClassProperty` | `getOtherSide()`
    `` | `GrailsDomainClass` | `getReferencedDomainClass()`
    `` | `java.lang.String` | `getReferencedPropertyName()`
    `` | `java.lang.Class` | `getReferencedPropertyType()`
    `` | `java.lang.Class` | `getType()`
    `` | `java.lang.String` | `getTypePropertyName()`
    `` | `boolean` | `isAssociation()`
    `` | `boolean` | `isBasicCollectionType()`
    `` | `boolean` | `isBidirectional()`
    `` | `boolean` | `isCircular()`
    `` | `boolean` | `isDerived()`
    `` | `boolean` | `isEmbedded()`
    `` | `boolean` | `isEnum()`
    `` | `boolean` | `isExplicitSaveUpdateCascade()`
    `` | `boolean` | `isHasOne()`
    `` | `boolean` | `isIdentity()`
    `` | `boolean` | `isInherited()`
    `` | `boolean` | `isManyToMany()`
    `` | `boolean` | `isManyToOne()`
    `` | `boolean` | `isOneToMany()`
    `` | `boolean` | `isOneToOne()`
    `` | `boolean` | `isOptional()`
    `` | `boolean` | `isOwningSide()`
    `` | `boolean` | `isPersistent()`
    `` | `void` | `setDerived(boolean derived)`
    `` | `void` | `setExplicitSaveUpdateCascade(boolean explicitSaveUpdateCascade)`
    `` | `void` | `setOtherSide(GrailsDomainClassProperty referencedProperty)`
    `` | `void` | `setOwningSide(boolean b)`
    `` | `void` | `setReferencedDomainClass(GrailsDomainClass referencedGrailsDomainClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final GrailsDomainClass domainClass

    - #### final groovy.lang.MetaProperty property

  - ### Constructor Detail

    - #### MetaGrailsDomainClassProperty(GrailsDomainClass domainClass, groovy.lang.MetaProperty property)

  - ### Method Detail

    - #### @java.lang.Override GrailsDomainClass getComponent()

    - #### @java.lang.Override GrailsDomainClass getDomainClass()

    - #### @java.lang.Override int getFetchMode()

    - #### @java.lang.Override java.lang.String getFieldName()

    - #### @java.lang.Override java.lang.String getName()

    - #### @java.lang.Override java.lang.String getNaturalName()

    - #### @java.lang.Override GrailsDomainClassProperty getOtherSide()

    - #### @java.lang.Override GrailsDomainClass getReferencedDomainClass()

    - #### @java.lang.Override java.lang.String getReferencedPropertyName()

    - #### @java.lang.Override java.lang.Class getReferencedPropertyType()

    - #### @java.lang.Override java.lang.Class getType()

    - #### @java.lang.Override java.lang.String getTypePropertyName()

    - #### @java.lang.Override boolean isAssociation()

    - #### @java.lang.Override boolean isBasicCollectionType()

    - #### @java.lang.Override boolean isBidirectional()

    - #### @java.lang.Override boolean isCircular()

    - #### @java.lang.Override boolean isDerived()

    - #### @java.lang.Override boolean isEmbedded()

    - #### @java.lang.Override boolean isEnum()

    - #### @java.lang.Override boolean isExplicitSaveUpdateCascade()

    - #### @java.lang.Override boolean isHasOne()

    - #### @java.lang.Override boolean isIdentity()

    - #### @java.lang.Override boolean isInherited()

    - #### @java.lang.Override boolean isManyToMany()

    - #### @java.lang.Override boolean isManyToOne()

    - #### @java.lang.Override boolean isOneToMany()

    - #### @java.lang.Override boolean isOneToOne()

    - #### @java.lang.Override boolean isOptional()

    - #### @java.lang.Override boolean isOwningSide()

    - #### @java.lang.Override boolean isPersistent()

    - #### @java.lang.Override void setDerived(boolean derived)

    - #### @java.lang.Override void setExplicitSaveUpdateCascade(boolean explicitSaveUpdateCascade)

    - #### @java.lang.Override void setOtherSide(GrailsDomainClassProperty referencedProperty)

    - #### @java.lang.Override void setOwningSide(boolean b)

    - #### @java.lang.Override void setReferencedDomainClass(GrailsDomainClass referencedGrailsDomainClass)